#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

puser="$(cut -d: -f1,3 "$destdir/etc/passwd" |grep :500|cut -d: -f1)"
puhome="$(cut -d: -f3,6 "$destdir/etc/passwd" |grep 500:|cut -d: -f2)"

mkdir -p "$destdir/etc/skel/.lazarus"
cat << E_O_F > "$destdir/etc/skel/.lazarus/editoroptions.xml"
<?xml version="1.0"?>
<CONFIG>
  <EditorOptions Version="2">
    <Display DoNotWarnForFont="-dejavu-dejavu sans mono-medium-r-normal-*-*-120-*-*-m-*-iso10646-*" EditorFont="-dejavu-dejavu sans mono-medium-r-normal-*-*-120-*-*-m-*-iso10646-*" ExtraLineSpacing="2"/>
    <KeyMapping Scheme="default">
      <default>
        <Version Value="4"/>
        <printselection Value="80,1,0,0,0,0,0,0"/>
      </default>
    </KeyMapping>
    <Color>
      <LangObjectPascal Version="2"/>
    </Color>
  </EditorOptions>
</CONFIG>
E_O_F

[ -z "$puser" ] || {
    mkdir -p "$destdir/$puhome/.lazarus"
    cp "$destdir/etc/skel/.lazarus/editoroptions.xml" "$destdir/$puhome/.lazarus/"
    chroot $destdir chown -R "$puser.$puser" "$puhome/.lazarus"
}
